Subject: bug#58334: 29.0.50; ASAN heap use after free in gui_produce_glyphs

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Oct 2022 14:08:05 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: Po Lu <[email-masked]>,  [email-masked]
> Date: Fri, 07 Oct 2022 10:07:01 +0200
> 
> Gerd Möllmann <[email-masked]> writes:
> 
> > Eli Zaretskii <[email-masked]> writes:
> >> IOW, I don't see how block_input anywhere can solve this particular
> >> problem.
> >
> > I wonder too.
> 
> And, while vaccuming, I also wondered what happens with the glyph
> matrices, and maybe other global state?

Fvertical_motion (and other functions that call the move_it_*
functions) in general don't rely on glyph matrices.  So I'm not sure
what exactly worries you.

In any case, glyph matrices are kept as long as their windows are
kept.  They aren't "freed" like faces or images.